Service Objectives - Get
データベース サービス目標を取得します。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/serviceObjectives/{serviceObjectiveName}?api-version=2014-04-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
resource
|
path | True |
string |
リソースを含むリソース グループの名前。 この値は、Azure Resource Manager API またはポータルから取得できます。 |
|
server
|
path | True |
string |
サーバーの名前。 |
|
service
|
path | True |
string |
取得するサービス目標の名前。 |
|
subscription
|
path | True |
string |
Azure サブスクリプションを識別するサブスクリプション ID。 |
|
api-version
|
query | True |
string |
要求に使用する API バージョン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
わかりました |
例
Get a service objective
要求のサンプル
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/sqlcrudtest/serviceObjectives/29dd7459-4a7c-4e56-be22-f0adda49440d?api-version=2014-04-01
応答のサンプル
{
"id": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/serviceObjectives/29dd7459-4a7c-4e56-be22-f0adda49440d",
"name": "29dd7459-4a7c-4e56-be22-f0adda49440d",
"type": "Microsoft.Sql/servers/serviceObjectives",
"location": "Central US",
"properties": {
"serviceObjectiveName": "System0",
"isDefault": false,
"isSystem": true,
"description": null,
"enabled": false
}
}
定義
ServiceObjective
データベース サービスの目標を表します。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソース ID。 |
| name |
string |
リソース名。 |
| properties.description |
string |
サービス レベル目標の説明。 |
| properties.enabled |
boolean |
サービス レベル目標が有効かどうかを取得します。 |
| properties.isDefault |
boolean |
サービス レベル目標が既定のサービス目標であるかどうかを取得します。 |
| properties.isSystem |
boolean |
サービス レベル目標がシステム サービス目標であるかどうかを取得します。 |
| properties.serviceObjectiveName |
string |
サービス目標の名前。 |
| type |
string |
リソースの種類。 |